# frozen_string_literal: true

module Gitlab
  module Page
    module Trials
      module New
        # @note Defined as +text_field :first_name+
        # @return [String] The text content or value of +first_name+
        def first_name
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # Set the value of first_name
        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     new.first_name = 'value'
        #   end
        # @param value [String] The value to set.
        def first_name=(value)
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.first_name_element).to exist
        #   end
        # @return [Watir::TextField] The raw +TextField+ element
        def first_name_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_first_name
        #   end
        # @return [Boolean] true if the +first_name+ element is present on the page
        def first_name?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +text_field :last_name+
        # @return [String] The text content or value of +last_name+
        def last_name
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # Set the value of last_name
        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     new.last_name = 'value'
        #   end
        # @param value [String] The value to set.
        def last_name=(value)
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.last_name_element).to exist
        #   end
        # @return [Watir::TextField] The raw +TextField+ element
        def last_name_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_last_name
        #   end
        # @return [Boolean] true if the +last_name+ element is present on the page
        def last_name?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +text_field :company_name+
        # @return [String] The text content or value of +company_name+
        def company_name
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # Set the value of company_name
        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     new.company_name = 'value'
        #   end
        # @param value [String] The value to set.
        def company_name=(value)
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.company_name_element).to exist
        #   end
        # @return [Watir::TextField] The raw +TextField+ element
        def company_name_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_company_name
        #   end
        # @return [Boolean] true if the +company_name+ element is present on the page
        def company_name?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +select :company_size+
        # @return [String] The text content or value of +company_size+
        def company_size
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.company_size_element).to exist
        #   end
        # @return [Watir::Select] The raw +Select+ element
        def company_size_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_company_size
        #   end
        # @return [Boolean] true if the +company_size+ element is present on the page
        def company_size?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +text_field :phone_number+
        # @return [String] The text content or value of +phone_number+
        def phone_number
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # Set the value of phone_number
        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     new.phone_number = 'value'
        #   end
        # @param value [String] The value to set.
        def phone_number=(value)
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.phone_number_element).to exist
        #   end
        # @return [Watir::TextField] The raw +TextField+ element
        def phone_number_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_phone_number
        #   end
        # @return [Boolean] true if the +phone_number+ element is present on the page
        def phone_number?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +select :country+
        # @return [String] The text content or value of +country+
        def country
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.country_element).to exist
        #   end
        # @return [Watir::Select] The raw +Select+ element
        def country_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_country
        #   end
        # @return [Boolean] true if the +country+ element is present on the page
        def country?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +select :state+
        # @return [String] The text content or value of +state+
        def state
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.state_element).to exist
        #   end
        # @return [Watir::Select] The raw +Select+ element
        def state_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_state
        #   end
        # @return [Boolean] true if the +state+ element is present on the page
        def state?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +button :continue+
        # Clicks +continue+
        def continue
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new.continue_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def continue_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::New.perform do |new|
        #     expect(new).to be_continue
        #   end
        # @return [Boolean] true if the +continue+ element is present on the page
        def continue?
          # This is a stub, used for indexing. The method is dynamically generated.
        end
      end
    end
  end
end
