# frozen_string_literal: true

module Gitlab
  module Page
    module Trials
      module Select
        # @note Defined as +button :select_group+
        # Clicks +select_group+
        def select_group
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select.select_group_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def select_group_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select).to be_select_group
        #   end
        # @return [Boolean] true if the +select_group+ element is present on the page
        def select_group?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +div :group_dropdown+
        # @return [String] The text content or value of +group_dropdown+
        def group_dropdown
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select.group_dropdown_element).to exist
        #   end
        # @return [Watir::Div] The raw +Div+ element
        def group_dropdown_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select).to be_group_dropdown
        #   end
        # @return [Boolean] true if the +group_dropdown+ element is present on the page
        def group_dropdown?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +button :start_your_free_trial+
        # Clicks +start_your_free_trial+
        def start_your_free_trial
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select.start_your_free_trial_element).to exist
        #   end
        # @return [Watir::Button] The raw +Button+ element
        def start_your_free_trial_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select).to be_start_your_free_trial
        #   end
        # @return [Boolean] true if the +start_your_free_trial+ element is present on the page
        def start_your_free_trial?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +radio :trial_company+
        # Clicks +trial_company+
        def trial_company
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select.trial_company_element).to exist
        #   end
        # @return [Watir::Radio] The raw +Radio+ element
        def trial_company_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select).to be_trial_company
        #   end
        # @return [Boolean] true if the +trial_company+ element is present on the page
        def trial_company?
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @note Defined as +radio :trial_individual+
        # Clicks +trial_individual+
        def trial_individual
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select.trial_individual_element).to exist
        #   end
        # @return [Watir::Radio] The raw +Radio+ element
        def trial_individual_element
          # This is a stub, used for indexing. The method is dynamically generated.
        end

        # @example
        #   Gitlab::Page::Trials::Select.perform do |select|
        #     expect(select).to be_trial_individual
        #   end
        # @return [Boolean] true if the +trial_individual+ element is present on the page
        def trial_individual?
          # This is a stub, used for indexing. The method is dynamically generated.
        end
      end
    end
  end
end
